Subject: bug#41879: 28.0.50; [Patch]: Add project-switch-to-buffer in project.el

From: Theodor Thornhill <[email-masked]>
Date: Thu, 18 Jun 2020 10:11:19 +0000

> Hi Theodor,
Hi!

> Can you please tell why only file-bound buffers are included?  I have
> some buffers with inferior python process in each project, would be nice
> to switch to them with project-switch-to-buffer.

Well, I tried a few different ways of including other buffers as well, but emacs seemed to want to include earlier used minibuffers and all sorts of 'junk'.  I agree that these inferior processes should be interesting to include, though.  I can try to find some way to filter out the cruft a bit better!  Do you have a specific idea in mind to go from?  

> Also consider to provide default value like:
>
>     (buffer-name (other-buffer (current-buffer)))
>
> This way one can switch to recent project buffer with just RET, same way
> as switch-to-buffer.

This seems smart! I'll look into that as well :) Thanks!

Theo